Skip to main content
`Ctrl`+`K`

# PetscLogStateStageRegister

Register a new stage with a logging state

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateStageRegister(PetscLogState state, const char sname[], PetscLogStage *stage)

Not collective

## Input Parameters

- state - a `PetscLogState`

- sname - a unique name

## Output Parameter

- stage - the identifier for the registered stage

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogStageRegister()`.

## See Also

Profiling, `PetscLogState`, `PetscLogStateStagePush()`, `PetscLogStateStagePop()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages